package me.totalfreedom.totalfreedommod.bridge;

import net.luckperms.api.LuckPerms;
import org.bukkit.Bukkit;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.RegisteredServiceProvider;
import org.bukkit.plugin.UnknownDependencyException;

import java.util.concurrent.Executor;

public class LuckPermsBridge
{
    private final LuckPerms luckPerms;

    public LuckPermsBridge()
    {
        RegisteredServiceProvider<LuckPerms> provider = Bukkit.getServicesManager()
                .getRegistration(LuckPerms.class);

        if (provider == null) throw new UnknownDependencyException("LuckPerms must be present!");

        this.luckPerms = provider.getProvider();
    }

    public LuckPerms getAPI()
    {
        return luckPerms;
    }
}
