package me.totalfreedom.totalfreedommod.command;

import me.totalfreedom.totalfreedommod.api.ShopItem;
import net.kyori.adventure.text.minimessage.tag.resolver.Placeholder;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandDependencies({"TF-Shoppe"})
@CommandPermissions(permission = "fireball", source = SourceType.ONLY_IN_GAME)
@CommandParameters(description = "Obtain a fire ball", usage = "/<command>")
public class Command_fireball extends FreedomCommand
{
    @Override
    public boolean run(CommandSender sender, Player playerSender, Command cmd, String commandLabel, String[] args, boolean senderIsConsole)
    {
        if (plugin.sh == null)
        {
            msgNew("<red>Shop is currently disabled.");
            return true;
        }

        if (plugin.pl.getData(playerSender).hasItem(ShopItem.FIRE_BALL))
        {
            playerSender.getInventory().addItem(plugin.sh.getFireBall());
            msgNew("<green>You have been given the <item>.", Placeholder.unparsed("item", ShopItem.FIRE_BALL.getName()));
        }
        else
        {
            msgNew("<red>You don't own the <item>! Purchase it from the shop.", Placeholder.unparsed("item", ShopItem.FIRE_BALL.getName()));
        }
        return true;
    }
}
