package me.totalfreedom.totalfreedommod.command;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandDependencies({"TFD4J"})
@CommandPermissions(permission = "cleardiscordqueue", source = SourceType.ONLY_CONSOLE)
@CommandParameters(description = "Clear the Discord message queue.", usage = "/<command>")
public class Command_cleardiscordqueue extends FreedomCommand
{

    @Override
    public boolean run(CommandSender sender, Player playerSender, Command cmd, String commandLabel, String[] args, boolean senderIsConsole)
    {
        if (plugin.dc == null)
        {
            msgNew("<red>Discord is not enabled.");
            return true;
        }

        plugin.dc.clearQueue();
        msgNew("<green>Cleared the Discord message queue.");
        return true;
    }
}