package me.totalfreedom.totalfreedommod.command;

import me.totalfreedom.totalfreedommod.config.ConfigEntry;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandDependencies({"TF-Shoppe"})
@CommandPermissions(permission = "shop", source = SourceType.ONLY_IN_GAME)
@CommandParameters(description = "Open the shop GUI", usage = "/<command>", aliases = "sh")
public class Command_shop extends FreedomCommand
{
    @Override
    public boolean run(CommandSender sender, Player playerSender, Command cmd, String commandLabel, String[] args, boolean senderIsConsole)
    {
        if (plugin.sh == null || !ConfigEntry.SHOP_ENABLED.getBoolean())
        {
            msgNew("<red>Shop is currently disabled.");
            return true;
        }

        playerSender.openInventory(plugin.sh.generateShopGUI(plugin.pl.getData(playerSender)));
        return true;
    }
}