package me.totalfreedom.totalfreedommod.command;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandPermissions(permission = "pickup.toggle", source = SourceType.ONLY_IN_GAME)
@CommandParameters(description = "Toggle item pickup.", usage = "/<command>")
public class Command_togglepickup extends FreedomCommand
{

    @Override
    public boolean run(CommandSender sender, Player playerSender, Command cmd, String commandLabel, String[] args, boolean senderIsConsole)
    {
        boolean enabled = !playerSender.getCanPickupItems();
        playerSender.setCanPickupItems(enabled);

        msgNew(enabled ? "<green>Enabled item pickup." : "<red>Disabled item pickup.");
        return true;
    }
}
