package me.totalfreedom.totalfreedommod.command;

import io.papermc.lib.PaperLib;
import me.totalfreedom.totalfreedommod.config.ConfigEntry;
import me.totalfreedom.totalfreedommod.util.FUtil;
import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

@CommandPermissions(permission = "tprandom", source = SourceType.ONLY_IN_GAME)
@CommandParameters(description = "Go to a random location in the current world you are in", usage = "/<command>", aliases = "tpr,rtp")
public class Command_tprandom extends FreedomCommand
{
    @Override
    public boolean run(CommandSender sender, Player playerSender, Command cmd, String commandLabel, String[] args, boolean senderIsConsole)
    {
        int maximumDistance = ConfigEntry.RANDOM_TELEPORT_MAX_DISTANCE.getInteger();
        int x = FUtil.randomInteger(-(maximumDistance), maximumDistance);
        int z = FUtil.randomInteger(-(maximumDistance), maximumDistance);
        int y = playerSender.getWorld().getHighestBlockYAt(x, z) + 1;
        Location location = new Location(playerSender.getLocation().getWorld(), x, y, z);
        PaperLib.teleportAsync(playerSender, location);
        msgNew("<green>Poof!");
        return true;
    }
}
